Mail archive
alpine-devel

[alpine-devel] [PATCH 2/4] testing/perl-sys-hostname-long: new aport

From: Jeff Bilyk <jbilyk_at_gmail.com>
Date: Fri, 1 Apr 2011 09:52:47 +0000

testing/perl-sys-hostname-long: new aport
---
 testing/perl-sys-hostname-long/APKBUILD |   33 +++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-sys-hostname-long/APKBUILD
diff --git a/testing/perl-sys-hostname-long/APKBUILD b/testing/perl-sys-hostname-long/APKBUILD
new file mode 100644
index 0000000..ebff46a
--- /dev/null
+++ b/testing/perl-sys-hostname-long/APKBUILD
_at_@ -0,0 +1,33 @@
+# Contributor:  Jeff Bilyk <jbilyk_at_gmail.com>
+# Maintainer:  Leonardo Arena <rnalrd_at_gmail.com>
+pkgname=perl-sys-hostname-long
+_realname=Sys-Hostname-Long
+pkgver=1.4
+pkgrel=0
+pkgdesc="Perl Module to get full hostname"
+url="http://search.cpan.org/~scott/"
+arch="x86 x86_64"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages=""
+source="http://search.cpan.org/CPAN/authors/id/S/SC/SCOTT/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+build() {
+	cd $_builddir
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd $_builddir
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+
+}
+
+md5sums="a5b3c23754cbcff10e283d16c42ec3d3  Sys-Hostname-Long-1.4.tar.gz"
-- 
1.7.4.1
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Apr 01 2011 - 09:52:47 UTC